nand_read_page_syndrome
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_read_page_syndrome — [REPLACABLE] hardware ecc syndrom based page read

## Synopsis

`int nand_read_page_syndrome (` | struct mtd_info * | mtd,
| struct nand_chip * | chip,
| uint8_t * | buf`)`;

## Arguments

`mtd`

  mtd info structure

`chip`

  nand chip info structure

`buf`

  buffer to store read data

## Description

The hw generator calculates the error syndrome automatically. Therefor we need a special oob layout and handling.

Prev | Up | Next
nand_read_page_hwecc | Home | nand_transfer_oob